	{% include "admin/header.html" %}
	{% load static %}
	<div class="col-md-10">
		
		<div class="row">
			<div class="page-header bootstrap-admin-content-title">
				<h1>Tambah Donasi</h1>

				<a href="{% url 'beribuku_app:admin.program' %}" class="action">
					<button class="btn btn-sm btn-default">
						<i class="glyphicon glyphicon-chevron-left"></i>
						Back
					</button>
				</a>

			</div>

		</div>

		<div class="row">
			<div class="panel panel-default bootstrap-admin-no-table-panel">
				<div class="panel-heading">
					<div class="text-muted bootstrap-admin-box-title">Tambah Donasi</div>
					<div class="pull-right"><span class="badge">
						<a href="/admin/donasi/excel/new/{{ program.id }}"><i class="glyphicon glyphicon-list"></i>&nbsp;Unggah dari Excel</a>
					</span></div>
				</div>

				
				<div class="bootstrap-admin-panel-content bootstrap-admin-no-table-panel-content collapse in">

	
		<div class="admin-content">
			<div class="newprogram">
				<div class="container" style="width:100%">					
					<form action="" class="form-horizontal" role="form" method="post" enctype="multipart/form-data">{% csrf_token %}
						{% if error %}
							<div class="form-group">
						    	<label for="" class="col-sm-2 control-label"></label>
						    	<div class="col-sm-10">
								    <div class="alert alert-danger alert-dismissible" role="alert">
									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>Terdapat kesalahan dalam pengisian sebagai berikut :
									<ul>
										{% for item in error %}
										<li>{{ item }}</li>
										{% endfor %}
									</ul>
									</div>
						    	</div>
						  	</div>
					  	{% endif %}

					  	{% if sukses %}
							<div class="form-group">
						    	<label for="" class="col-sm-2 control-label"></label>
						    	<div class="col-sm-10">
								    <div class="alert alert-success alert-dismissible" role="alert">
									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>{{ sukses }}
									</div>
						    	</div>
						  	</div>
					  	{% endif %}

					  	
						<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Proyek</label>
					    	<div class="col-sm-10">
							    <input type="text" name="proyek" class="form-control" value="{{ program.nama }}" placeholder="Nama Proyek" readonly>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Tanggal*</label>
					    	<div class="col-sm-10">
							    {% autoescape on %}
							      		<input type="date" name="tanggal" class="form-control" id="" placeholder="mm/dd/yyyy" value="{{ tanggal|date:"Y-m-d" }}">
							      		{% endautoescape %}
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Donatur*</label>
					    	<div class="col-sm-10" id="f">
					      		 <div class="radio">
							      <label><input type="radio" id="donatur_lama" name="status_donatur" value="1" >yang sudah ada</label>
							    </div>
							    <div class="radio">
							      <label><input type="radio" id="donatur_baru" name="status_donatur" value="2">baru</label>
							    </div>
							    <p class="help-block"><i style="font-size:13px">Donatur hanya terkait dengan proyek <strong>{{ program.nama }}</strong>.</i></p>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Bentuk Donasi*</label>
					    	<div class="col-sm-10" id="f2">
					      		 <div class="radio">
							      <label><input type="radio" id="donasi_uang" name="donasi" value="1" >uang</label>
							    </div>
							    <div class="radio">
							      <label><input type="radio" id="donasi_buku" name="donasi" value="2">buku</label>
							    </div>
					    	</div>
					  	</div>


						<div class="form-group" id="via">
					    	<label for="" class="col-sm-2 control-label">Via</label>
					    	<div class="col-sm-10">
					      		<input type="text" class="form-control" name="via" id="" placeholder="Nama Penerima Donasi" value="{{ nama }}" required>
					    	</div>
					  	</div>

					  	<div class="form-group">
					    	<label for="" class="col-sm-2 control-label">Konfirmasi</label>
					    	<div class="div-item col-sm-10">
					    		<div class="col-sm-2">
						      		 <input type="checkbox" name="konfirmasi" value="2">  ya <br>
						      		 <p class="help-block"><i style="font-size:13px"> Centang ( <span class="glyphicon glyphicon-ok"></span> ) jika <strong>ya</strong>.</i></p>
						    	</div>
						    </div>
					  	</div>
					  	<div class="form-group">
					    	<div class="col-sm-offset-2 col-sm-10">
					      		<button type="submit" class="btn btn-primary">Tambah Donasi</button>
					    	</div>
					  	</div>
					</form>
				</div>
			</div>
		</div>
        </div>
        </div>
        </div>
        </div>
        </div>
        </div>
        {% include "admin/footer.html" %}
		{% load static %}
	<script src="{% static 'js/bootstrap.min.js' %}"></script>
</body>
<script>
$(document).ready(function(){
    var flag_uang = true;
    var flag_buku = true;
    var flag_baru = true;
    var flag_lama = true;
  $("#donasi_uang").click(function(){
  	if(flag_uang){
  		$('#data_buku').remove();
  		flag_uang = false;
  		flag_buku = true;
  		$('#f2').append('<div id="data_uang"><div class="form-group" id="nama_bank"><label for="" class="col-sm-2 control-label"><i>Bank</i></label><div class="col-sm-10"><input type="text" class="form-control" name="nama_bank" id="" placeholder="Nama Bank" value="{{ nama }}" required></div></div><div class="form-group"><label for="inputPassword3" class="col-sm-2 control-label" ><i>Nominal</i></label><div class="col-sm-10"><input type="text" name="nominal" class="form-control" placeholder="Nominal" required><p class="help-block">Contoh : email@example.com</p></div></div><div class="form-group"><label for="inputPassword3" class="col-sm-2 control-label"><i>Bukti Transfer</i></label><div class="col-sm-10 div-gambar"><input type="file" class="form-control" name="bukti_transfer" id="" placeholder="" required><p class="help-block">Unggah file gambar dengan jenis jpg, png, atau gif</p></div></div></div></div>');

  	}
  });
  $("#donasi_buku").click(function(){
    if(flag_buku){
  		flag_buku = false;
  		flag_uang = true;
  		$('#data_uang').remove();
  		$('#f2').append('<div id="data_buku"><div class="form-group"><label for="" class="col-sm-2 control-label"><i>Keterangan</i></label><div class="col-sm-10"><input type="text" class="form-control" name="keterangan_buku" id="" placeholder="Contoh : buku satu kardus" value="{{ nama }}" required></div></div></div>');	
  	}
  });

  $("#donatur_baru").click(function(){
  	if(flag_baru){
  		$('#data_lama').remove();
  		flag_baru = false;
  		flag_lama = true;
  		$('#f').append('<div id="data_baru"><div class="form-group" id="nama_bank"><label for="" class="col-sm-2 control-label"><i>Nama</i></label><div class="col-sm-10"><input type="text" class="form-control" name="nama_donatur" id="" placeholder="Nama Donatur" value="{{ nama }}" required></div></div><div class="form-group"><label for="inputPassword3" class="col-sm-2 control-label" ><i>E-Mail</i></label><div class="col-sm-10"><input type="email" name="email" class="form-control" placeholder="Email Donatur" value="{{ email }}" required><p class="help-block">Contoh : email@example.com</p></div></div><div class="form-group"> <label for="inputPassword3" class="col-sm-2 control-label" ><i>No. Handphone</i></label><div class="col-sm-10"><div class="input-group"><div class="input-group-addon">+62</div><input type="text" name="nohp" class="form-control" id="exampleInputAmount" value="{{nohp}}" placeholder="" required></div><p class="help-block">Tulis tanpa ' + 0 + ' didepannya (contoh : 82232120000)</p> </div></div></div></div>');

  	}
  });
  $("#donatur_lama").click(function(){
    if(flag_lama){
  		flag_lama = false;
  		flag_baru = true;
  		$('#data_baru').remove();
  		$('#f').append('<div class="col-sm-5" id="data_lama"> <select name="donatur" class="form-control" required>{% for d in donatur %}<option value="{{ d.id }}" > {{ d.nama }} </option>{% endfor %}</select></div>');	
  	}
  });

  $("#emailselect").click(function() {

    var str = "";

    $( "#emailselect option:selected" ).each(function() {
	    str = str + $( this ).text() + ";";	
    });
	
	$("#alamat_email").val(str);    

  });
});
</script>
</html>